# Module Resolution
All ScriptCraft mods have a folder called ```scriptcraft``` in the root of their JAR file, when ScriptCraft is loaded all of these are combined to form a single "virtual" root. It is recommended to use namespaces to avoid conflicts with other mods.

## Supported File Types
- ```.js```
- ```.mjs```
- ```.json```

## Extra Details
- If the import path is a folder, ScriptCraft will load the ```index``` file, and if it doesn't exist it will try to load ```<Folder>/index```.
- If the specified import does not exist, it will try to load the import appended with each supported file type.